Edit

Published - List Datasources

Returns a list of published datasources for the specified DataAgent.

Note

Data Agent configuration management is currently in Preview (learn more).

This API supports pagination.

Permissions

The caller must have read permissions for the DataAgent.

Required Delegated Scopes

Item.Read.All or Item.ReadWrite.All or DataAgent.Read.All or DataAgent.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataAgents/{dataAgentId}/datasources
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataAgents/{dataAgentId}/datasources?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
dataAgentId
path True

string (uuid)

The DataAgent ID.

workspaceId
path True

string (uuid)

The workspace ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

DataAgentDatasources

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

Examples

List published DataAgent datasources example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/dataAgents/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/datasources

Sample response

{
  "value": [
    {
      "id": "70f9282b-1b64-4f08-9e4e-2ab9f0e20e01",
      "instructions": "Use this for document retrieval queries.",
      "type": "FabricItem",
      "displayName": "SalesWarehouse",
      "description": "Sales data warehouse with order and customer information.",
      "itemReference": {
        "referenceType": "ById",
        "itemId": "01234372-7fd9-44d3-bd75-a2718645a82a",
        "workspaceId": "abdd0d48-2eed-4066-adc4-321a9f6a628e"
      },
      "fabricItemType": "Warehouse"
    },
    {
      "id": "c1c6d12f-8d2a-4d5b-9ca1-8bb7b42d4a30",
      "instructions": "Use this for customer engagement analysis.",
      "type": "LakehouseTables",
      "displayName": "CustomerLakehouse",
      "description": "Customer interaction history and support activity.",
      "lakehouseReference": {
        "referenceType": "ById",
        "itemId": "b5e7c3a1-2d4f-4890-9a1b-3c5d7e9f0a2b",
        "workspaceId": "e1f2a3b4-5c6d-7e8f-9a0b-1c2d3e4f5a6b"
      }
    }
  ],
  "continuationToken": null,
  "continuationUri": null
}

Definitions

Name Description
DataAgentDatasources

A paginated list of DataAgent datasources.

DataAgentSupportedItemType

The supported Fabric item type for a FabricItem datasource. Values use published Fabric item names. Additional DataAgentSupportedItemType types may be added over time.

DatasourceType

The datasource type. Additional DatasourceType types may be added over time.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

FabricItemDatasource

A DataAgent datasource backed by a Fabric item.

ItemReferenceById

An item reference by ID object.

ItemReferenceByVariable

An item reference by variable.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

LakehouseTablesDatasource

A DataAgent datasource that uses a lakehouse in tables-only mode.

DataAgentDatasources

A paginated list of DataAgent datasources.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value DataAgentDatasourceResponse[]:

A list of datasources.

DataAgentSupportedItemType

The supported Fabric item type for a FabricItem datasource. Values use published Fabric item names. Additional DataAgentSupportedItemType types may be added over time.

Value Description
Report

Power BI report.

SemanticModel

Power BI semantic model.

Lakehouse

A lakehouse.

KQLDatabase

A KQL database.

Warehouse

A warehouse.

MirroredDatabase

A mirrored database.

MirroredAzureDatabricksCatalog

A mirrored Azure Databricks catalog.

GraphModel

A graph model.

SQLDatabase

A SQL database.

Ontology

An ontology.

DatasourceType

The datasource type. Additional DatasourceType types may be added over time.

Value Description
FabricItem

A datasource backed by a supported Fabric item.

LakehouseTables

A datasource backed by a lakehouse in tables-only mode.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

FabricItemDatasource

A DataAgent datasource backed by a Fabric item.

Name Type Description
description

string

The description of the datasource.

displayName

string

The display name of the datasource.

fabricItemType

DataAgentSupportedItemType

The Fabric item type of the datasource.

id

string (uuid)

The datasource ID.

instructions

string

Custom AI instructions specific to this datasource.

itemReference ItemReference:

An item reference object.

type string:

FabricItem

The datasource type.

ItemReferenceById

An item reference by ID object.

Name Type Description
itemId

string (uuid)

The ID of the item.

referenceType string:

ById

The item reference type.

workspaceId

string (uuid)

The workspace ID of the item.

ItemReferenceByVariable

An item reference by variable.

Name Type Description
referenceType string:

ByVariable

The item reference type.

variableReference

string

A variable reference string that specifies the Variable Library and the variable name inside it. Format: $(/**/_VarLibrary_/_VarName_) for a Variable Library named VarLibrary and a variable named VarName.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

Value Description
ById

The item is referenced by its ID.

ByVariable

The item is referenced by a variable.

LakehouseTablesDatasource

A DataAgent datasource that uses a lakehouse in tables-only mode.

Name Type Description
description

string

The description of the datasource.

displayName

string

The display name of the datasource.

id

string (uuid)

The datasource ID.

instructions

string

Custom AI instructions specific to this datasource.

lakehouseReference ItemReference:

An item reference object.

type string:

LakehouseTables

The datasource type.